Bug 55651 - Let automatically inserted blank pages use style from previous page; and add a blank page for choice
Summary: Let automatically inserted blank pages use style from previous page; and add ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2012-10-05 05:02 UTC by Mohith Manoj
Modified: 2018-04-22 15:20 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer document with two 'right' pages (9.53 KB, application/vnd.oasis.opendocument.text)
2012-10-05 05:02 UTC, Mohith Manoj
Details
PDF output created directly with auto blank pages included (17.46 KB, application/pdf)
2012-10-05 05:03 UTC, Mohith Manoj
Details
Writer document with two 'right' pages and Blank Style (9.63 KB, text/odt)
2016-04-15 15:26 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohith Manoj 2012-10-05 05:02:48 UTC
Created attachment 68103 [details]
Writer document with two 'right' pages

When writer inserts a blank page, it come out completely blank, leaving the user to think that the page was missed during printing.

I am attaching a writer document with two 'right' pages and a PDF of it with the automatically inserted blank pages included.

It would be nice if the automatically insert page uses the same page style as the previous page and with a configurable water mark (global for the document).
Comment 1 Mohith Manoj 2012-10-05 05:03:33 UTC
Created attachment 68104 [details]
PDF output created directly with auto blank pages included
Comment 2 Cor Nouws 2012-11-11 20:47:14 UTC
Hi Mohith,
I change the subject and set to new.
Interesting idea. I never have thought about it this way.

Did you have the change to discuss your idea? E.g. on the user experience list ?
  http://lists.freedesktop.org/mailman/listinfo/libreoffice-ux-advise
Comment 3 Allan Macdonald 2014-05-28 21:11:42 UTC
(In reply to comment #2)
> Hi Mohith,
> I change the subject and set to new.
> Interesting idea. I never have thought about it this way.
> 
> Did you have the change to discuss your idea? E.g. on the user experience
> list ?
>   http://lists.freedesktop.org/mailman/listinfo/libreoffice-ux-advise

I think the original subject line made more sense.  The inserted blank page should be given a default style. The problem I see is that for some users, the style of the blank page might need to be different from the previous page style.  Some users might want no page number at all; others might want a page number, header, footer, etc.  Some might want a blank page with a watermark that reads "Intentionally Left Blank" or some such notice.

What if all page styles were given a "next blank page style" option along with the "next style" option.  That way, you can have whatever style you want for the inserted blank page, which is usually an even page.
Comment 4 QA Administrators 2015-06-08 14:42:51 UTC Comment hidden (obsolete)
Comment 5 Cor Nouws 2015-06-22 12:02:03 UTC
still a problem in 4442
Comment 6 Timur 2016-04-05 11:48:24 UTC
Sorry, could someone explain in detail what this bug is about, what is expected?
Why would PDF be created with blank pages at all, of course they can be skipped? 
What I see as a problem is in Bug 52316 and Bug 90150, page numbers are wrong.
Comment 7 Mohith Manoj 2016-04-06 08:27:31 UTC
Hi Timur,

In some cases we would want the top level (Level 1) heading to start on a 'Right Page' (page 1, 3, 5 etc). If my previous chapter ends in an odd numbered (right) page (e.g. page 3), then LO would insert a blank page (e.g. page 4) and start the next chapter on a right page (page 5).

Now page 4 is (completely) blank and we need to let the reader know that it was intentional and not a miss while printing. For this purpose, if we define a page style for the automatically inserted blank page, then we can have the page numbers added in the footer and set the header to read something like,
'THIS PAGE IS LEFT BLANK INTENTIONALLY'.

I don't mean to me sarcastic but 3 years 10 months and 27 days is quite a long time to update the status of the bug.
Comment 8 Timur 2016-04-07 11:10:13 UTC
Per your explanation and Comment 3 I revert the title. 
Looks like an enhancement to me: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
You know how they say: you can fix it yourself, of find someone to do it.. or just wait.
Comment 9 Cor Nouws 2016-04-14 19:51:51 UTC
One page style for all blank pages... will be a problem for people that want something different?
But, OK, anyone can insert a blank page to her/his own like at any place of course.
And note that print preview shows BLANK
Which leaves me with the question: does this really make sense :\.. Sorry.
Comment 10 Timur 2016-04-15 15:26:37 UTC
Created attachment 124369 [details]
Writer document with two 'right' pages and Blank Style

(In reply to Cor Nouws from comment #9)
> anyone can insert a blank page to her/his own like at any place
> Which leaves me with the question: does this really make sense :\.. Sorry.
I agree, I don't think this should've been confirmed at all.

(In reply to Cor Nouws from comment #2)
> I change the subject and set to new.
> Interesting idea. I never have thought about it this way.
Oh, we see who did that :)

Really, you want 'THIS PAGE IS LEFT BLANK INTENTIONALLY', you make a style with that and insert it a number of times, as I did in the attachment. 
Problem? Yes, page numbers, but that's Bug 52316.
So, I don't think this will ever be done as requested and even I don't think it should for the sake of doing what can be done other way.
Comment 11 Cor Nouws 2016-04-18 07:48:23 UTC
thanks Timur!
Comment 12 Robert A. Rioja 2016-05-29 18:17:48 UTC
I think that some of you are missing the point.  Writer is inserting a blank page because that feature is there, and it is a necessary feature.  However, not having any control over that "blank" page makes the feature pretty useless.  I think that it should not have been called "automatically inserted blank page" but rather "automatically inserted page".  Then we need to specify the format of that page.  Many, many people have requested that this be fixed in OpenOffice as well as in LibreOffice.

Please stop arguing about whether it is a bug or not.  This is "feature enhancement" is needed by many users so let's agree to make it a priority.

Thank you.
Robert
Comment 13 RGB 2016-05-29 18:52:44 UTC
To give a bit more context on this issue: when LaTeX needs an automated page (for example, to go from a chapter ending on an odd page to the new one always starting on an odd page) it does NOT insert a completely blank page, but a page that uses the same style (and hence, the same header and footer) used throughout the chapter. You need to actually *tell* LaTeX to use a different page style for that blank page if you need it completely empty (the package "emptypage"). So Writer displays the exactly opposite behaviour used by default on LaTeX since ages. 

Before someone argue that you can always insert a page break at the end of the chapter to change that "blank" page, well, I have documents with more than 50 chapters: to manually check if a particular chapter ends on an odd page is not an option because it defeats the whole idea of using page styles. 

NOTE: I prefer the blank pages to stay blank, so in LaTeX I always use the "emptypage" package, but I understand that many people may think different and thus I believe that this option must be configurable.
Comment 14 Cor Nouws 2016-05-29 19:12:14 UTC
thanks RGB for mentioning that idea. IMO makes most sence.
Comment 15 Robert A. Rioja 2017-03-14 02:30:50 UTC
When writing legal documents, there are often actual requirements that blank pages be noted as such.  In other words, certain legal documents with a blank page that does not say something like "Intentionally left blank" would be rejected.  The blank page feature is necessary and used all the time in certain circles.  For example, manuals for medical instruments must never have blank pages that are truly blank.  I am glad that LO allows for automatically generated blank pages.  Unfortunately, the feature is not complete.

Currently, we can specify that a particular Paragraph Style may insert a page break before the paragraph.  We can also specify the Page Style for the paragraph, which can be a page style already created by the user.  What we need is to also be able to specify the Page Style for the blank page that would be created if blank pages are to be automatically created.  This way users can create their own blank page styles as needed.
Comment 16 Peter Roelofsen 2017-03-23 08:21:21 UTC
+1 for RGB, comment 13. I suggest however that the inserted page gets its unique page style, called Inserted Page or something like that. 

On a side note, totally unrelated to this issue, it's odd that a document made with exclusively Right Page Only pages (and inserted blanks in the PDF) opens with exclusively left pages (with blank right pages) in 2 pages view in my PDF reader.
Comment 17 Pete Johnson 2017-04-03 12:58:36 UTC
+1 for this functionality, which I find very often required.  The rationale has been described well by others: document styles which require chapters to start on a rh page, but blank page to be clearly indicated as a) part of the document with headers / footers / page numbers etc; b) intentionally blank, with some text or watermark to say so.
Comment 18 Costas 2017-07-01 13:54:25 UTC
+1 from me too. I want libreoffice to automate many things for me and this feature is also a must for anyone writing a book or anything similar that will be printed. Createspace of Amazon says that empty pages could create confusion and hence should always be marked as intentionally left blank or something.

Viewing the document on BOOK VIEW shows the inserted blank pages so a quick glimpse helps me insert pages afterwards where needed as a workaround for now.
Comment 19 Nithin 2017-09-30 16:30:23 UTC
+1 from me too for this feature. Also the implementation according to comment 13 is logical. The implementation here however trickier. As suggested in comment 15 I feel the best possible place to specify this is in the same window where we specify the page break to right only pages (Format paragraph window).

To give an addition option to specify how the page, if applied before it, should look like. Options could be 
1)Like previous chapter pages.
2)Like current/following chapter page
3)Choose from Page layout.
4)Repeat Last Page/Insert Specific page(I will explain what I mean by this below)
4)Blank

In my case I Prefer to provide at least one page at the end of the Chapter to make notes from the chapter for the readers.(This page might simply have a heading called Notes and have dotted lines in the rest of the page.) So repeat pages would simple reinsert the contents of this page(with dotted lines) to the auto inserted page.
Insert specific page would open up an additional window like Master slides in Impress where we can design the auto added page.

Also being able to see this page insertion when editing in LO would be a really nice feature.

If only I knew how to code :(
Comment 20 Nithin 2018-04-22 14:43:56 UTC
I spent quite a bit of time last week trying to think about how this feature can best be implemented. For this feature to be fully functional, i think it would be best to have a separate "Automatically Added Pages" Section. And how the user will interact with this feature came down to answering one important question. 

Q1. Should this feature be dynamic i.e That user will be able to view and interact with an automatically inserted page during document editing along with other pages.

This would be in no doubt provide an awesome experience for the user. But also will be most extensive in terms of implementation. Then there were other questions as to 

Q2. what are the features in ODF format which will support implementing this feature.

Regardless of the answer to Q1, Some features can be already implemented with the existing system. If the user interaction need not be dynamic, then features such as
Auto Insert -> Blank Page 
Auto Insert -> Page formatted like Previous page
Auto Insert -> Current/Following Page
Auto Insert -> Specific Page Formatting.
Auto Insert -> Repeat Previous Page.

can be implemented during exporting the document to another format. eg. To PDF, To Print, etc. as these wont require (Only so that the feature can be available ASAP but not ideally) saving anything into the ODF File itself but only a parameter in LO.

But I believe that it would be extremely useful to save this information in the ODF file itself rather than have it as a export feature in LO. Here is one limitation if the setting is a feature in LO rather than ODF. Because when the ODF file is opened with another software in which this feature is not yet implemented, then all these pages would simply be missing. Also if the ODF file is loaded on another system where the LO settings re different then these Pages will neither be exported nor printed. 

Integrating this feature into ODF format has advantages other than over coming the limitations mentioned in previous paragraph. Things such as Custom Text insertion into Automatically Added Pages can also be done. Automatically Added Pages can be made to insert more multiple pages at a location into documents.

Can someone help me understand how much ODF can support this feature currently and what needs to be still done. What additions to ODF format might be needed to implement this.
Comment 21 RGB 2018-04-22 15:20:20 UTC
Thinking aloud: Perhaps the best place to set a style to be used by automatically inserted blank pages is on the general tab of each page style in use.

If we have the "next style" set as the same style (for example, if we are modifying "Document Body" and also have "Document Body" as next style), a new selection box could be enabled to select a particular style in case the following page is an automated empty page. So in the Organizer tab of the page style definition we could have

= Style = 

            Name: | Document Body               | [Edit style]

      Next style: | Document Body               | [Edit style]
  If next page is
       empty, use | Blank                       | [Edit style]


etc.

This way it would be possible to set different blank pages for pages following not only a normal chapter, but also the index, the page indicating a "Part" (group of chapters), etc.